/* Tooltip styling */   
div.tooltip {
    background-color: white;
    color: black;
    border: 1px solid black;
    border-radius: 5px;
    padding: 10px;
    position: fixed;
    max-width: 200px;
    font-size: 20px;
}

.ttFuncRect {
    /*padding: 5px;*/
    width: 15px;
    height: 15px;
    display: inline-block;
    border: 1px solid #e6e6e6;
}

.suppWarnNotes {
    font-size: 16px;
}

.dataWarningValues {
    font-size: 10px;
}


/* Style titles, tick text, and legends more optimally */
svg .n-axis-title, svg .c-axis-title {
    font-size: 16px;
    font-weight: bold;
}

svg .axes .tick {
    font-size: 14px;
}


/*svg .legend-group {*/
/*    font-size: 12px;*/
/*}*/


/* Suppression/warning notes in map circles */
.suppWarnLabel {
    fill: white;
    font-size: 10px;
    transform: translate(7px, -9px);
}

/* Spacing titular dropdown better and handling extra long dropdowns... */
.titleDD {
    margin: 1px 0px;
    max-width: 350px !important;
}


/* Data source beneath figures */
.dataSourceNote {
    font-size: 16px;
    float: right;
}


/* Make text in html legends smaller */
.html-legend li {
    font-size: 18px;
}


/* Stylize the dropdowns and any buttons as necessary */

.controlsInnerDiv select {
    width: 100%;
    margin-bottom: 15px;
}

.controlsInnerDiv {
    padding-left: 0px;
}

@media (min-width: 992px) {
    .controlsInnerDiv {
        padding-right: 0px;
    }
    
    /* Remove vis title top margin when horizontally arrayed */
    #visTitle {
        margin-top: 0px;
    }
}



/* Add padding to the buttons' divs */
#displayDiv {
    padding-bottom: 20px;
}

#scaleDiv {
    padding-top: 20px;
}



/* Style buttons nicely */
.selectedBtn {
    background-color: #335075;
    color: white;
}

.selectedBtn:hover, .selectedBtn:focus {
    color: white;
    background-color: #335075;
}

.optionButtons .btn {
    /*Making all control buttons much smaller by reducing padding */
    padding: 0px 7px;
    margin: 3px;
}

#displayBtns {
    display: flex;
    flex-wrap: nowrap;
    justify-content: center;
    flex-direction: row;
    align-items:stretch;
}




/* Style the tables */
.tableContainer {
    max-width: 100% !important;
    width: 100% !important;
    overflow-x: auto;
}

table.dataTable thead th {
    background-color: #335075;
    color: white;
}

/*.tdTable .sorting_desc .sorting_asc {*/
table.dataTable thead .sorting_desc,
table.dataTable thead .sorting_asc{
    background-color: #0B305E !important;
    color: white !important;
}


/* Stylize bar labels as needed */
.bar-label {
    font-size: 14px;
}

/* Stylize buttons as needed */
#displayBtn-bargraph, #displayBtn-map {
    /*font-size: 40px;*/
    /*height: 70px;*/
    
    width:50%;
    padding: 7px 0px;
    margin: 0px 0px 6px;
}

#displayBtn-bargraph i, #displayBtn-map i {
    font-size: 26px;
}

#displayBtn-bargraph span, #displayBtn-map span {
    display: flow;
    font-size: 16px;
}

/* Stylize map legend */
#mapSVG .legend-title {
    font-weight: bold;
}

/* Stylize superscripted labels for bars */
.svgSuperscript {
    baseline-shift: super;
    font-size: 75%;
    bottom: .25em;
    line-height: 0;
}


/* Bold figure title, as requested */
#visTitle {
    font-weight: bold;
}

/* Reduce text size within dropdowns to allow more text to be displayed */
.optionDD {
    font-size: 18px;
}

/* Stylize new informational collapsible */
#infoCollapsible, #infoCollapsible summary {
    color: #333;
    font-size: 18px;
}

#infoCollapsible {
    padding-bottom: 0px;
}
